# DROP API\_TOKEN

## Syntax <a href="#synopsis" id="synopsis"></a>

```sql
DROP API_TOKEN api_token_name;
```

## Description <a href="#description" id="description"></a>

Drops an existing `API_TOKEN` in the current [Access Control](/overview/core-concepts/access-control.md#organiation). Only the `API_TOKEN` owner can execute it .

{% hint style="warning" %}
**Important** `DROP API_TOKEN` cannot be undone. Use it with care!
{% endhint %}

### Arguments

#### api\_token\_name

The name of the `API_TOKEN` to drop. If the name is case-sensitive, you must wrap it in double quotes; otherwise, the system uses the lower case name.

## Examples <a href="#example" id="example"></a>

#### Drop an API\_TOKEN

The following shows how to drop the `API_TOKEN` named `my_token`:

```sh
<no-db>/<no-store># LIST API_TOKENS;
+-------------+------------+-------------------------------+-------------------------------+
|  Name       |  Last Used |  Created At                   |  Expires At                   |
+=============+============+===============================+===============================+
| my_token    | <null>     | 2024-06-04 22:42:18 +0000 UTC | 2024-09-02 22:42:18 +0000 UTC |
+-------------+------------+-------------------------------+-------------------------------+
<no-db>/<no-store># DROP API_TOKEN my_token;
+------------+------------+------------+------------------------------------------+
|  Type      |  Name      |  Command   |  Summary                                 |
+============+============+============+==========================================+
| api_token  | my_token   | DROP       | api_token my_token was successfully      |
|            |            |            | dropped                                  |
+------------+------------+------------+------------------------------------------+
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.deltastream.io/reference/sql-syntax/ddl/drop-api_token.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
